<?xml version="1.0"?>
<!--
/** 
 * Handles magento cart events
 */
-->
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:Event/etc/events.xsd">
    <event name="order_cancel_after">
        <observer name="orderCancelAfterRefundGiftcard" instance="Bloyal\Calculatecart\Observer\OrderCancelAfterRefundGiftcard" />
		<observer name="OrderCancelAfterRefundLoyaltyDollar" instance="Bloyal\Calculatecart\Observer\OrderCancelAfterRefundLoyaltyDollar" />
    </event>
    <event name="sales_order_invoice_pay">
        <observer name="salesOrderInvoicePayAfterCalculatecart" instance="Bloyal\Calculatecart\Observer\SalesOrderInvoicePayAfter" disabled="false" />
    </event>
	<event name="sales_order_creditmemo_save_after">
        <observer name="salesOrderCreditmemoSaveAfterCalculatecart" instance="Bloyal\Calculatecart\Observer\CreditmemoSaveAfter" disabled="false" />
    </event>
	<event name="controller_action_postdispatch_adminhtml">
        <observer name="updateConnectorVersion" instance="Bloyal\Calculatecart\Observer\UpdateConnectorVersion" disabled="false" />
    </event>
    <event name="admin_system_config_changed_section_settings">
        <observer name="trackUpdateSettingsSection" instance="Bloyal\Calculatecart\Observer\CheckAndSaveAccessKey"/>
    </event>
</config>